require barebox.inc

RDEPENDS_${PN} += "${PN}-mlo"

SRCREV = "c0a4bb242bde34a4f1debb574e5cc44c9b4894ca"
SRC_URI = " \
	git://git.sysmocom.de/barebox.git;branch=v2015.05-sysmocom-odu \
	file://defconfig \
	"

PV = "v2015.05+git${SRCPV}"
S = "${WORKDIR}/git"

BAREBOX_IMAGE ?= "barebox-${MACHINE}-${PKGV}-${PKGR}.img"
BAREBOX_SYMLINK ?= "barebox-${MACHINE}.img"

do_deploy_append () {
	install -d ${DEPLOYDIR}
	install ${S}/images/barebox-am33xx-sysmocom-odu.img ${DEPLOYDIR}/${BAREBOX_IMAGE}
	cd ${DEPLOYDIR}
	rm -f ${BAREBOX_SYMLINK}
	ln -sf ${BAREBOX_IMAGE} ${BAREBOX_SYMLINK}
}
